Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

This is the error in the "Package Operation failed window":

installArchives() failed: Setting up install-info (4.13a.dfsg.1-8ubuntu2) ...
/etc/environment: line 3: JAVA_HOME: command not found
dpkg: error processing install-info (--configure):
 subprocess installed post-installation script returned error exit status 127
Errors were encountered while processing:
 install-info
Error in function: 
Setting up install-info (4.13a.dfsg.1-8ubuntu2) ...
/etc/environment: line 3: JAVA_HOME: command not found
dpkg: error processing install-info (--configure):
 subprocess installed post-installation script returned error exit status 127

This is the info about Java in my Ubuntu. Am not sure if all these are correctly set.

update-java-alternatives -l 
java-1.6.0-openjdk-amd64 1061 /usr/lib/jvm/java-1.6.0-openjdk-amd64
java-1.7.0-openjdk-amd64 1051 /usr/lib/jvm/java-1.7.0-openjdk-amd64

java -version
java version "1.6.0_30"
OpenJDK Runtime Environment (IcedTea6 1.13.1) (6b30-1.13.1-1ubuntu2~0.12.04.3)
OpenJDK 64-Bit Server VM (build 23.25-b01, mixed mode)

echo $JAVA_HOME
/usr/lib/jvm/java-7-openjdk-amd64

This is the following copy and paste from terminal if I try to upgrade:

balu@balu-X550CC:~$ sudo apt-get upgrade
[sudo] password for balu: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages have been kept back:
  duplicity linux-headers-generic linux-headers-generic-lts-raring
  linux-image-generic-lts-raring linux-signed-image-generic-lts-raring
The following packages will be upgraded:
  bluez bluez-alsa bluez-alsa:i386 bluez-cups bluez-gstreamer cups cups-bsd
  cups-client cups-common cups-ppdc curl deja-dup dpkg dpkg-dev firefox
  firefox-locale-en flashplugin-installer gir1.2-gdkpixbuf-2.0 gir1.2-gtk-2.0
  gir1.2-gtk-3.0 gnome-control-center gnome-control-center-data
  gnome-settings-daemon google-chrome-stable google-talkplugin
  icedtea-7-jre-jamvm libbluetooth3 libcups2 libcups2:i386 libcupscgi1
  libcupsdriver1 libcupsimage2 libcupsimage2:i386 libcupsmime1 libcupsppdc1
  libcurl3-gnutls libcurl3-nss libdpkg-perl libgail-3-0 libgdk-pixbuf2.0-0
  libgdk-pixbuf2.0-0:i386 libgdk-pixbuf2.0-common libgnome-control-center1
  libgtk-3-0 libgtk-3-bin libgtk-3-common libgtk2.0-bin libgtk2.0-common
  libmysqlclient18 libmysqlclient18:i386 libnm-glib-vpn1 libnm-glib4
  libnm-util2 libsnmp-base libsnmp15 linux-firmware linux-generic-lts-raring
  linux-libc-dev linux-signed-generic-lts-raring linux-source
  linux-source-3.2.0 mysql-client-core-5.5 mysql-common mysql-server-core-5.5
  network-manager openjdk-7-jdk openjdk-7-jre openjdk-7-jre-headless
  openjdk-7-jre-lib python-imaging thunderbird thunderbird-globalmenu
  thunderbird-gnome-support thunderbird-locale-en thunderbird-locale-en-us
  unity-greeter update-manager update-manager-core whoopsie
79 upgraded, 0 newly installed, 0 to remove and 5 not upgraded.
1 not fully installed or removed.
Need to get 0 B/319 MB of archives.
After this operation, 16.2 MB of additional disk space will be used.
Do you want to continue [Y/n]? y
Extracting templates from packages: 100%
Preconfiguring packages ...
Setting up install-info (4.13a.dfsg.1-8ubuntu2) ...
/etc/environment: line 3: JAVA_HOME: command not found
dpkg: error processing install-info (--configure):
 subprocess installed post-installation script returned error exit status 127
No apport report written because MaxReports is reached already
                                                              Errors were encountered while processing:
 install-info

Output of nano /etc/environment:

PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games"

JAVA_HOME = ":usr/lib/jvm/java-7-openjdk-amd64/bin"
CLASSPATH = ":usr/lib/jvm/java-7-openjdk-amd64/bin:/home/something etc"
share|improve this question
    
Show us the command that you entered that bring errors. –  Lucio May 1 at 16:44
1  
@Lucio : I am trying to install the regular updates, I get this error, and I go to terminal and try to upgrade i get this error, also if I try to install any package, I get this error. So Basically I can't do anything with this now. I am not sure if i have set the rite path for java. I have three verions, Icedtea, java and java 7.. am totally confused. Help me –  Balu May 1 at 17:07
    
Add to your question the output of nano /etc/environment –  Lucio May 1 at 19:48
    
@Lucio added the output –  Balu May 1 at 19:55
    
@Lucio My Laptop is Intel core I5, Am not sure how i installed AMD 56 bit version of java. –  Balu May 1 at 19:58

1 Answer 1

Read the error message carefully. It tells you that on line 3 of /etc/environment the subshell tries to execute the command JAVA_HOME, and fails. You (or your system manager) tried to add definitions for JAVA_HOME and CLASSPATH variables to /etc/environment, but mistyped the input. It should be:

JAVA_HOME="usr/lib/jvm/java-7-openjdk-amd64/bin"
CLASSPATH="usr/lib/jvm/java-7-openjdk-amd64/bin:/home/something etc"

(no blanks on either side of the "=", no initial colon (signifies the empty entry. Thanks @salarcot895)

share|improve this answer
    
Would there technically need to be a colon before the path? It's not appending it to anything, is it? –  saiarcot895 May 2 at 4:00

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.